import java.io.*;

public class FileInputStreamTest {
	public static void main (String[] args) {
		PrintStream out = System.out;
		FileInputStream fin = null;
		try {
			fin = new FileInputStream("FileInputStreamTest.java");
		} catch ( FileNotFoundException e ){
			e.printStackTrace();
			return;
		}
		
		try {
			int a = fin.read();

			//把整数以二进制的形式输出。
			out.print("a=:"+Integer.toBinaryString(a)+"\t");
			out.println((char)a);
			byte[] bs = new byte [10];
			fin.read(bs);
			for ( byte i : bs ){
				out.print(i);
				out.print("\t");
				out.println((char)i);
			}

			//fin.close(); //应放在 finally 块中。
		} catch (IOException e){
			e.printStackTrace();
		} finally {
			if (fin != null){//if 不可缺少。
				try {
					fin.close();
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
		}
	}
}
